#include <iostream>
#include <vector>
using namespace std;


int main()
{
cin.tie(NULL);
int N, K;
cin>>N>>K;
vector<int> y;
for(int i = 0; i<N; i++){
    int x;
    cin>>x;
    y.push_back(x);
    cout<<K<<endl;
}
    return 0;
}
